StatsHub Docs
APIAPI v2V2 endpoint referenceAlerts

/me/alert-preferences

Get the caller's live alert preferences

GET
/me/alert-preferences

Get the caller's live alert preferences

Authorization

AuthorizationBearer <token>

Supabase access token.

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/me/alert-preferences"
{  "data": {    "active": true,    "eligible": true,    "lines": {      "fivePlusFouls": true,      "fourFouls": true,      "threeFouls": true,      "twoFouls": true,      "yellowCards": true    },    "mutedCompetitions": [      {        "id": "string",        "name": "string",        "slug": "string"      }    ],    "telegramLinked": true  }}